## RygelPlaySpeedResponse

RygelPlaySpeedResponse — This class represents a DLNA PlaySpeed response (PlaySpeed.dlna.org)

## Functions

gboolean | rygel_play_speed_response_equals ()
RygelPlaySpeedResponse * | rygel_play_speed_response_new ()
RygelPlaySpeedResponse * | rygel_play_speed_response_new_from_speed ()
RygelPlaySpeedResponse * | rygel_play_speed_response_new_from_string ()

## Types and Values

#define | RYGEL_TYPE_PLAY_SPEED_RESPONSE
#define | RYGEL_PLAY_SPEED_RESPONSE_FRAMERATE_HEADER
#define | RYGEL_PLAY_SPEED_RESPONSE_NO_FRAMERATE
struct | RygelPlaySpeedResponse
struct | RygelPlaySpeedResponseClass

## Object Hierarchy

        GObject
        ╰── RygelHTTPResponseElement
            ╰── RygelPlaySpeedResponse

## Description

## Functions

### rygel_play_speed_response_equals ()

    gboolean
    rygel_play_speed_response_equals (RygelPlaySpeedResponse *self,
                                      RygelPlaySpeedRequest *that);

#### Parameters

self | the RygelPlaySpeedResponse instance |
that |  |

### rygel_play_speed_response_new ()

    RygelPlaySpeedResponse *
    rygel_play_speed_response_new (gint numerator,
                                   guint denominator,
                                   gint framerate);

#### Parameters

numerator |  |
denominator |  |
framerate |  |

### rygel_play_speed_response_new_from_speed ()

    RygelPlaySpeedResponse *
    rygel_play_speed_response_new_from_speed
                                   (RygelPlaySpeed *speed,
                                    gint framerate,
                                    GError **error);

#### Parameters

speed |  |
framerate |  |
error | location to store the error occuring, or `NULL` to ignore. | [error-domains RygelPlaySpeedError]

### rygel_play_speed_response_new_from_string ()

    RygelPlaySpeedResponse *
    rygel_play_speed_response_new_from_string
                                   (const gchar *speed,
                                    gint framerate,
                                    GError **error);

#### Parameters

speed |  |
framerate |  |
error | location to store the error occuring, or `NULL` to ignore. | [error-domains RygelPlaySpeedError]

## Types and Values

### RYGEL_TYPE_PLAY_SPEED_RESPONSE

    #define RYGEL_TYPE_PLAY_SPEED_RESPONSE (rygel_play_speed_response_get_type ())

The type for RygelPlaySpeedResponse.

### RYGEL_PLAY_SPEED_RESPONSE_FRAMERATE_HEADER

    #define RYGEL_PLAY_SPEED_RESPONSE_FRAMERATE_HEADER "FrameRateInTrickMode.dlna.org"

### RYGEL_PLAY_SPEED_RESPONSE_NO_FRAMERATE

    #define RYGEL_PLAY_SPEED_RESPONSE_NO_FRAMERATE -1

### struct RygelPlaySpeedResponse

    struct RygelPlaySpeedResponse;

This class represents a DLNA PlaySpeed response (PlaySpeed.dlna.org)

#### Members

### struct RygelPlaySpeedResponseClass

    struct RygelPlaySpeedResponseClass {
    	RygelHTTPResponseElementClass parent_class;
    };

The class structure for `RYGEL_TYPE_PLAY_SPEED_RESPONSE`. All the fields in this structure are private and should never be accessed directly.

#### Members